<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <TargetFramework>netcoreapp2.2</TargetFramework>
    <AssetTargetFallback>$(AssetTargetFallback);portable-net45+win8+wp8+wpa81;</AssetTargetFallback>
    <AssemblyName>ContinuousIntegrationDelivery.Migrator</AssemblyName>
    <OutputType>Exe</OutputType>
    <PackageId>ContinuousIntegrationDelivery.Migrator</PackageId>
    <GenerateAssemblyConfigurationAttribute>false</GenerateAssemblyConfigurationAttribute>
    <GenerateAssemblyCompanyAttribute>false</GenerateAssemblyCompanyAttribute>
    <GenerateAssemblyProductAttribute>false</GenerateAssemblyProductAttribute>
  </PropertyGroup>
  <ItemGroup>
    <None Update="appsettings.json;log4net.config">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="Abp.Castle.Log4Net" Version="4.3.0" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\ContinuousIntegrationDelivery.Core\ContinuousIntegrationDelivery.Core.csproj" />
    <ProjectReference Include="..\ContinuousIntegrationDelivery.EntityFrameworkCore\ContinuousIntegrationDelivery.EntityFrameworkCore.csproj" />
  </ItemGroup>
</Project>